summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: aa66c7e)
raw | patch | inline | side by side (parent: aa66c7e)
author | Junio C Hamano <junkio@cox.net> | |
Fri, 6 Jan 2006 04:14:40 +0000 (20:14 -0800) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Fri, 6 Jan 2006 04:14:40 +0000 (20:14 -0800) |
Instead of checking Cygwin explicitly, see if the filesystem lets us
create funny filenames.
Signed-off-by: Junio C Hamano <junkio@cox.net>
create funny filenames.
Signed-off-by: Junio C Hamano <junkio@cox.net>
t/t3300-funny-names.sh | patch | blob | history |
diff --git a/t/t3300-funny-names.sh b/t/t3300-funny-names.sh
index 6a85d67c57e4fc6b8ae569b8410c03830af8a231..72a93da08ca28857c6e2d2c16ace65db762698d5 100755 (executable)
--- a/t/t3300-funny-names.sh
+++ b/t/t3300-funny-names.sh
tree, index, and tree objects.
'
-# since FAT/NTFS does not allow tabs in filenames, skip this test
-test "$(uname -o 2>/dev/null)" = Cygwin && exit 0
-
. ./test-lib.sh
p0='no-funny'
cat >"$p1" "$p0"
echo 'Foo Bar Baz' >"$p2"
+test -f "$p1" && cmp "$p0" "$p1" || {
+ # since FAT/NTFS does not allow tabs in filenames, skip this test
+ say 'Your filesystem does not allow tabs in filenames, test skipped.'
+ test_done
+}
+
echo 'just space
no-funny' >expected
test_expect_success 'git-ls-files no-funny' \